#
# spec file for package perl-Email-MIME
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-MIME
Version:        1.940
Release:        lp150.1.3
%define cpan_name Email-MIME
Summary:        Easy Mime Message Handling
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-MIME/
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Address)
BuildRequires:  perl(Email::MIME::ContentType) >= 1.016
BuildRequires:  perl(Email::MIME::Encodings) >= 1.314
BuildRequires:  perl(Email::MessageID)
BuildRequires:  perl(Email::Simple) >= 2.206
BuildRequires:  perl(Email::Simple::Creator)
BuildRequires:  perl(Email::Simple::Header)
BuildRequires:  perl(MIME::Types) >= 1.13
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Email::Address)
Requires:       perl(Email::MIME::ContentType) >= 1.016
Requires:       perl(Email::MIME::Encodings) >= 1.314
Requires:       perl(Email::MessageID)
Requires:       perl(Email::Simple) >= 2.206
Requires:       perl(Email::Simple::Creator)
Requires:       perl(Email::Simple::Header)
Requires:       perl(MIME::Types) >= 1.13
Requires:       perl(parent)
%{perl_requires}

%description
This is an extension of the Email::Simple module, to handle MIME encoded
messages. It takes a message as a string, splits it up into its constituent
parts, and allows you access to various parts of the message. Headers are
decoded from MIME encoding.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Mon Feb 13 2017 coolo@suse.com
- updated to 1.940
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.940     2017-01-29 10:33:45-05:00 America/New_York
  - no code changes since 1.939 trial release
  1.939     2017-01-14 14:58:44-05:00 America/New_York (TRIAL RELEASE)
  - do not decode MIME headers known to be never encoded (Pali Rohár)
  - ...and that includes the Downgraded-* headers (Pali Rohár)
  1.938     2017-01-01 20:03:38-05:00 America/New_York (TRIAL RELEASE)
  - numerous small fixes to header encoding (thanks, Pali Rohár)
    for more details see https://github.com/rjbs/Email-MIME/pull/32
  - When a single-part content type has been provided with multiple
    parts, the user is now warned that the type has been changed to
    multipart/mixed.  This helps catch typos like
    "mutlipart/alternative".
* Sun Feb  7 2016 coolo@suse.com
- updated to 1.937
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.937     2016-01-28 13:31:06-05:00 America/New_York
  - eliminate memory leak in walk_parts (again, rjbs)
* Tue Sep 15 2015 coolo@suse.com
- updated to 1.936
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.936     2015-09-10 22:46:29-04:00 America/New_York
  - no changes since 1.935, but a stable release
  1.935     2015-08-31 16:47:46-04:00 America/New_York (TRIAL RELEASE)
  - do not remove too many newlines at the end (bug introduced in 1.926)
* Tue Aug  4 2015 coolo@suse.com
- updated to 1.934
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.934     2015-08-01 20:33:57-04:00 America/New_York
  - fix debug_structure for multipart mail with only one subpart
* Wed Jul 29 2015 coolo@suse.com
- updated to 1.933
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.933     2015-07-25 09:30:56-04:00 America/New_York
  - correct Email::Simple prereq
  - skip omitting content-type attributes with undef value
* Sat Jul 25 2015 coolo@suse.com
- updated to 1.932
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.932     2015-07-24 22:24:06-04:00 America/New_York
  - stable release of previous trial releases
  - see v1.930 and v1.931, below
  1.931     2015-07-12 17:31:01-04:00 America/New_York (TRIAL RELEASE)
  - When doing parts_set to become single-part, do not lose the charset
    and set the mail to us-ascii.
    This is almost certainly a half measure, and this whole hunk of code
    should be improved.
  1.930     2015-03-25 22:58:42-04:00 America/New_York (TRIAL RELEASE)
  - rely on the new header_raw methods in new Email::Simple
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.929
  see /usr/share/doc/packages/perl-Email-MIME/Changes
  1.929     2015-02-17 09:31:35-05:00 America/New_York
  - try not to lose unrecognized content-type parameters
  - avoid copying the body content when not needed during construction
  1.928     2014-12-15 21:47:49-05:00 America/New_York
  - when converting from single part to multipart, drop
    Content-Transfer-Encoding and Content-Type's charset property
  - update subparts in walk_parts if stringification changes
  1.927     2014-12-04 10:19:58-05:00 America/New_York
  - add header_str_pairs; like header_pairs, but decoded
  - remove Email:MIME::Creator from synopsis
  1.926     2014-01-28 23:28:41-05:00 America/New_York
  - improve EOL processing with quoted-printable (thanks, Tomohiro
    Hosaka!)
  - avoid uninitialized warnings [rt.cpan.org #91707]
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.925
    improve reliability of mail reconstruction during walk_parts (thanks,
    Tomohiro Hosaka!)
    update use of Email::MIME::ContentType to match new, fixed hash keys:
    type/subtype
    do not consider the part-ending CRLF part of the body
    avoid undefined warnings in debug_structure [rt.cpan.org #82388]
    (Thanks, Kurt Anderson)
    better error message when the given body is a ref but not a scalar
    ref [rt.cpan.org #59205]
    repackage, fixing version number
    repackage, remove PEP links, update bugtracker
    do not call parts_set during walk_parts unless the parts have
    actually changed
    When trying to decode a body, fall back to 7bit if the encoding is
    unknown.  Trying to create a new body in an unknown encoding is still
    forbidden.  This should make it easier to handle broken messages
    from "the internet."  ("Content-Transfer-Encoding: n"!?)
    try to encode headers based on the header structure, if it has one,
    rather than treating the header as a big string in all cases; thanks
    for this work go to Jesse Luehrs
    require a newer Email::Simple and cope with its improved line ending
    tweaks
* Thu Jun  9 2011 pascal.bleser@opensuse.org
- (cumulated) update to 1.908:
  * be more lenient with Content-Tranfser-Encoding values; stop at semicolons
  * fix a long-standing bug that prevent walk_parts from reaching all parts
  * eliminate memory leak in walk_parts (RT#59581)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 11 2010 chris@computersalat.de
- fix build for noarch
  o removed .packlist/perllocal.pod
- added bcondwith test
* Sat Jun 19 2010 coolo@novell.com
- initial package created by cpanspec 1.78
